using System;

internal sealed class Delegate400 : MulticastDelegate
{
	public extern bool Invoke(object object_0);

	public static bool smethod_0(object object_0, Delegate400 delegate400_1)
	{
		return delegate400_1(object_0);
	}

	public extern Delegate400(object object_0, IntPtr intptr_0);

	static Delegate400()
	{
		Class10.smethod_13(typeof(Delegate400).TypeHandle);
	}

	internal static Delegate400 delegate400_0;
}
